// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

/** Ionic CSS Variables **/

:root {
  $dark-color: #233b5a;
  $light-color: #6189b8;
  $main: #385985;
  $grey: #999;
  $transparent: transparent;

  --ion-item-md-padding-right: 4px;
  --ion-item-ios-padding-right: 4px;

  --ion-label-ios-text-color: --grey;

  --ion-toolbar-background: #{$main};
  --ion-toolbar-md-background: #{$main};
  --ion-toolbar-ios-background: #{$main};
  --ion-toolbar-md-padding: 0px 5px;
  --ion-toolbar-ios-padding: 0px 5px;

  --ion-toggle-ios-background-color-on: #{$main};
  --ion-toggle-md-background-color-on: #{$main};
  --ion-toggle-md-active-color: #{$main};

  --ion-fab-list-button-background-color: #{$main};
  --ion-fab-md-background-color: #{$main};
  --ion-toast-md-background: #{$main};

  /** custom Colors **/
  --ion-color-secondary: #32db64;
  --ion-color-danger: #f53d3d;
  --ion-color-light: #{$light-color};
  --ion-color-dark: #{$dark-color};
  --ion-color-transparent: #{$transparent};
  --ion-color-main: #{$main};
  --ion-color-grey: #{$grey};
  /** primary **/
  --ion-color-primary: #{$main};
  --ion-color-primary-rgb: 56, 128, 255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #3171e0;
  --ion-color-primary-tint: #4c8dff;

  /** secondary **/

  --ion-color-secondary-rgb: 12, 209, 232;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255, 255, 255;
  --ion-color-secondary-shade: #0bb8cc;
  --ion-color-secondary-tint: #24d6ea;

  /** tertiary **/
  --ion-color-tertiary: #7044ff;
  --ion-color-tertiary-rgb: 112, 68, 255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255, 255, 255;
  --ion-color-tertiary-shade: #633ce0;
  --ion-color-tertiary-tint: #7e57ff;

  /** success **/
  --ion-color-success: #10dc60;
  --ion-color-success-rgb: 16, 220, 96;
  --ion-color-success-contrast: #ffffff;
  --ion-color-success-contrast-rgb: 255, 255, 255;
  --ion-color-success-shade: #0ec254;
  --ion-color-success-tint: #28e070;

  /** warning **/
  --ion-color-warning: #ffce00;
  --ion-color-warning-rgb: 255, 206, 0;
  --ion-color-warning-contrast: #ffffff;
  --ion-color-warning-contrast-rgb: 255, 255, 255;
  --ion-color-warning-shade: #e0b500;
  --ion-color-warning-tint: #ffd31a;

  /** danger **/
  --ion-color-danger-rgb: 245, 61, 61;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255, 255, 255;
  --ion-color-danger-shade: #d33939;
  --ion-color-danger-tint: #f25454;

  /** dark **/
  --ion-color-dark-rgb: 34, 34, 34;
  --ion-color-dark-contrast: #ffffff;
  --ion-color-dark-contrast-rgb: 255, 255, 255;
  --ion-color-dark-shade: #1e2023;
  --ion-color-dark-tint: #383a3e;

  /** medium **/
  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152, 154, 162;
  --ion-color-medium-contrast: #ffffff;
  --ion-color-medium-contrast-rgb: 255, 255, 255;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;

  /** light **/
  --ion-color-light-rgb: 244, 244, 244;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0, 0, 0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;
}

@font-face {
  font-family: "DroidKufi-Regular";
  src: url("../assets/fonts/DroidKufi-Regular.ttf"); //mine
}

* {
  font-family: "DroidKufi-Regular";
}
